Class | RDoc::Context::Section
In: | rdoc/code_objects.rb
Parent: | Object

### Contents

- The title

### Methods

new

### Attributes

comment | [R] |
sequence | [R] |
title | [R] |

### Public Class methods

new(title, comment)

[Source]

    # File rdoc/code_objects.rb, line 125
          def initialize(title, comment)
            @title = title
            @@sequence.succ!
            @sequence = @@sequence.dup
            set_comment(comment)
          end

## The title

remove lines up to the line containing :section:, and look for those lines again at the end and remove them. This lets us write

      # ---------------------
      # :SECTION: The title
      # The body
      # ---------------------

[Validate]